<template>
    <v-card v-if="value" class="pa-2">
        <v-img :src="url"></v-img>
    </v-card>
</template>

<script>
    export default {
        props: {
            value: {
                type: String
            },
            header: {
                type: Object,
                default: {}
            }
        },

        computed: {
            url() {
                if (this.header.baseUrl) {
                    return this.header.baseUrl + this.value;
                }

                return this.value
            }
        }
    }
</script>
